﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace comboeditor
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            Methods = new List<string>()
            {
                "a",
                "b",
                "c",
            };
            InitializeComponent();
            xamComboEditor1.SelectedItem = "a";
            xamComboEditor1.SelectedIndex = 1;
        }



        public List<string> Methods
        {
            get { return (List<string>)GetValue(MethodsProperty); }
            set { SetValue(MethodsProperty, value); }
        }

        // Using a DependencyProperty as the backing store for Methods.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty MethodsProperty =
            DependencyProperty.Register("Methods", typeof(List<string>), typeof(MainWindow), new UIPropertyMetadata(null));

        
    }
}
